//
//  ImgLibraryTableViewController.m
//  ImgPicker_storyboard
//
//  Created by 王宇宙 on 2016/7/14.
//  Copyright © 2016年 王宇宙. All rights reserved.
//

#import "ImgLibraryTableViewController.h"
#import <AssetsLibrary/AssetsLibrary.h>
#import "ImgCollectionViewController.h"
#import "ImgLibraryTableViewCell.h"

@interface ImgLibraryTableViewController ()

@property (nonatomic,strong) ALAssetsLibrary *assetsLibrary;
@property (nonatomic,strong) NSMutableArray *groups;

@end

@implementation ImgLibraryTableViewController

- (ALAssetsLibrary *)assetsLibrary{
    if (_assetsLibrary == nil) {
        _assetsLibrary = [[ALAssetsLibrary alloc] init];
    }
    return _assetsLibrary;
}
- (NSMutableArray *)groups{
    if (_groups == nil) {
        _groups = [NSMutableArray array];
        dispatch_async(dispatch_get_main_queue(), ^{
            [self.assetsLibrary enumerateGroupsWithTypes:ALAssetsGroupAll usingBlock:^(ALAssetsGroup *group, BOOL *stop) {
                if(group){
                    [_groups addObject:group];
                    [self.tableView reloadData];
                }
            } failureBlock:^(NSError *error) {
                UIAlertView *alertView = [[UIAlertView alloc] initWithTitle:@"提示" message:@"访问相册失败" delegate:self cancelButtonTitle:@"确定" otherButtonTitles:nil];
                [alertView show];
            }];
        });
    }
    return _groups;
}
- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.tableView.tableFooterView=[UIView new];
    
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return self.groups.count;
}


- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    ImgLibraryTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"cell" forIndexPath:indexPath];
     ALAssetsGroup *group = self.groups[indexPath.row];
    //中文
    NSString *groupName = [group valueForProperty:ALAssetsGroupPropertyName];
    if ([groupName isEqualToString:@"Camera Roll"]) {
        groupName = @"相机";
    } else if ([groupName isEqualToString:@"My Photo Stream"]) {
        groupName = @"我的照片";
    }
    //设置属性
    [group setAssetsFilter:[ALAssetsFilter allPhotos]];
    NSInteger groupCount = [group numberOfAssets];
    cell.totalLabel.text = [NSString stringWithFormat:@"%@ (%ld)",groupName, groupCount];
    UIImage *image =[UIImage imageWithCGImage:group.posterImage] ;
    [cell.libraryIv setImage:image];
    return cell;
}
-(void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender{
    ImgCollectionViewController* vc=segue.destinationViewController;
    ImgLibraryTableViewCell* cell=(ImgLibraryTableViewCell*)sender;
    NSIndexPath* indexPath=[self.tableView indexPathForCell:cell];
    vc.group = self.groups[indexPath.row];
}

- (IBAction)back:(UIBarButtonItem *)sender {
    [self dismissViewControllerAnimated:YES completion:nil];
}


@end
